Bug 832152 - Messages defaulting to Unicode (UTF-8) encoding, makes fonts small
Messages defaulting to Unicode (UTF-8) encoding, makes fonts small
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 12:55 EDT by Jesse Keating
Modified: 2013-01-09 22:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-21 08:53:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2012-06-14 12:55:43 EDT
Not really sure what's going on here, but after update to 13.0 many of my messages are displayed with very small fonts.  Not every mail which is odd though.  Even if I go into the settings and force the font size to be bigger and force a minimum font size the messages are still displayed with quite small fonts.

I can attach screen shots if necessary.

thunderbird-13.0-1.fc17.x86_64
Comment 1 Jesse Keating 2012-06-14 13:04:43 EDT
Ah hah.  For some reason many messages are being autodetected as encoding "Unicode UTF-8", which has it's own font preferences.  Even more fun, through the UI I can't seem to get to a configuration setting for this encoding.  I had to use the config editor.

Updated the summary.
Comment 2 Martin Stransky 2012-06-21 05:36:01 EDT
Yes, there is a change in text auto-detection, all texts are UTF-8 by default now. Just update the font settings in Preferences->Display->Advanced. I was told it was a feature ;-)
Comment 3 Jesse Keating 2012-06-21 15:10:57 EDT
(In reply to comment #2)
> Yes, there is a change in text auto-detection, all texts are UTF-8 by
> default now. Just update the font settings in
> Preferences->Display->Advanced. I was told it was a feature ;-)

That's good advice, if UTF-8 was a visible option to configure in that screen.  That encoding is not listed.  In order to fix my fonts I had to open the config editor and manually add values for the utf-8 encoding, and some of the others that I've seen mail come across as.

I'm fine with better message encoding autodetection, or even with a default change, but to go along with that there needs to be a way to configure font preferences for the new default.
Comment 4 Martin Stransky 2012-06-27 05:45:49 EDT
Yeah, it's hidden under "Other languages". I know it isn't intuitive. 

How do you propose to fix this bug? It does not matter if the label is "Other languages" or "UTF-8", you still have to recognize type of the change and fix it manually. 

And I don't think we should revert that change - we can't carry such patch forever so users have to update the config one day.
Comment 5 Jesse Keating 2012-06-27 12:32:29 EDT
Ideally there would be a way to have a "default" font size period.  If the specific language does not have a user defined setting, use the global default.  This does put the onus on users who wish to have a different customization for a specific language to go find that control box, but at least it's not /everybody/.

Having pre-defined defaults individually for each language doesn't seem like the way to go to me.
Comment 6 Martin Stransky 2012-12-21 08:53:40 EST
Sorry, we're not going to fix this one.

Note You need to log in before you can comment on or make changes to this bug.